package Tunel;
import java.io.*;
import java.net.Socket;

public class Tunel implements Runnable {
    private Socket inSocket;
    private Socket outSocket;
    public Tunel(Socket inSocket, Socket outSocket){
    	this.inSocket=inSocket;
    	this.outSocket=outSocket;
    }
	public void run() {
		try {
// creating input streams			
			DataInputStream in = new DataInputStream(inSocket.getInputStream());
			DataOutputStream out = new DataOutputStream(outSocket.getOutputStream());
			byte b;
			while (!inSocket.isClosed()&& !outSocket.isClosed()
					&& inSocket.isConnected() && outSocket.isConnected()) {
				try{
					b=in.readByte();
					out.write(b);
				} catch (EOFException e){
			    	System.out.println("tunel: EOF - exiting");
			    	break;
			    } catch (IOException e) {
			    	System.out.println("tunel: connection closed - exiting");
					break;
				}
			}
			if (!inSocket.isClosed()){
				inSocket.close();
			}
			if (!outSocket.isClosed()){
				outSocket.close();
			}
		} catch (IOException e1) {
		}
			
	}
}
