package Tunel;


import java.io.*;
import java.net.*;

public class MakeTunel implements Runnable{
    private Socket clSocket;
    private Socket srSocket;
    private String toAddress;
    private int toPort;
    public MakeTunel(Socket clSocket, String toAddress, int toPort){
    	this.clSocket=clSocket;
    	this.toAddress=toAddress;
    	this.toPort=toPort;
    }
	public void run() {
		System.out.print("Thread makeTunel "+clSocket.getInetAddress().getHostName()+":"+clSocket.getPort());
		System.out.println(" -> "+toAddress+":"+toPort+" started.");
		System.out.println("Connecting to "+toAddress+":"+toPort);
		//opening socket to destination server
		try {
			srSocket=new Socket(toAddress, toPort);
		} catch (UnknownHostException e) {
			System.out.println("Unknown host");
		} catch (IOException e) {
			e.printStackTrace();
		}
		if (srSocket.isConnected()){
			System.out.println("maketunel: Server connected");
			Tunel tunelin = new Tunel(clSocket, srSocket);
			Tunel tunelout =new Tunel(srSocket, clSocket);
			Thread tinth=new Thread(tunelin);
			Thread toutth=new Thread(tunelout);
			tinth.start();
			toutth.start();
			System.out.println("maketunel: Tunnel threads started");
		}
		else{
			System.out.println("maketunel: Connection to host failed");
			try {
				clSocket.close();
			} catch (IOException e) {
			}
			System.out.println("maketunel: Client connection closed");
			
		}
	}

}
