package Tunel;
import java.net.*;
import java.io.*;

public class TunelServer {
	public static void main(String[] args) {
		if (args.length<3){
			System.out.println("Usage: TunelServer FromPort ToHost ToPort");
			System.exit(0);
		}
		Integer i=new Integer(args[0]);
		int listenPort=i.intValue();
		i=new Integer(args[2]);
		int toPort=i.intValue();
		ServerSocket ss;
		try {
			ss = new ServerSocket(listenPort);
		while (true){
			System.out.println("Server: Listen for connection");
			Socket s;
			s=null;
			try {
				s = ss.accept();
			} catch (IOException e) {
				if (!ss.isClosed()){
				ss.close();
				}
				if (s!=null && !s.isClosed()){
				s.close();
				}
				System.out.println("Sockets closed.");
				System.exit(0);
			}
			MakeTunel maketunel=new MakeTunel(s,args[1],toPort);
			Thread mtth=new Thread(maketunel);
			mtth.start();
		}
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(0);
		}

		
	}
}